'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require('react-bootstrap');

var _darwinoReact = require('@darwino/darwino-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * (c) Copyright Darwino Inc. 2014-2017.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var _bsStyle = ["success", "warning", "danger", "info"];

/*
 * Application/Page Messages.
 */

var Messages = function (_BaseMessages) {
    _inherits(Messages, _BaseMessages);

    function Messages() {
        _classCallCheck(this, Messages);

        return _possibleConstructorReturn(this, (Messages.__proto__ || Object.getPrototypeOf(Messages)).apply(this, arguments));
    }

    _createClass(Messages, [{
        key: 'renderMessage',
        value: function renderMessage(m, index) {
            var _this2 = this;

            return _react2.default.createElement(
                _reactBootstrap.Alert,
                { key: m.key || "", bsStyle: _bsStyle[m.type], onDismiss: function onDismiss() {
                        _this2.remove(m.key);
                    } },
                m.title && _react2.default.createElement(
                    'h4',
                    null,
                    m.title
                ),
                m.message && _react2.default.createElement(
                    'p',
                    { style: { whiteSpace: 'pre' } },
                    m.message
                ),
                m.children
            );
        }
    }]);

    return Messages;
}(_darwinoReact.BaseMessages);

exports.default = Messages;