"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _FieldStatic = require("./FieldStatic");

var _FieldStatic2 = _interopRequireDefault(_FieldStatic);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * (c) Copyright Darwino Inc. 2014-2017.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var FieldRadioGroup = function (_Component) {
    _inherits(FieldRadioGroup, _Component);

    function FieldRadioGroup() {
        _classCallCheck(this, FieldRadioGroup);

        return _possibleConstructorReturn(this, (FieldRadioGroup.__proto__ || Object.getPrototypeOf(FieldRadioGroup)).apply(this, arguments));
    }

    _createClass(FieldRadioGroup, [{
        key: "renderMultipleRadio",
        value: function renderMultipleRadio(values, val) {
            var _props = this.props,
                input = _props.input,
                meta = _props.meta,
                options = _props.options,
                disabled = _props.disabled,
                label = _props.label,
                inline = _props.inline,
                props = _objectWithoutProperties(_props, ["input", "meta", "options", "disabled", "label", "inline"]);

            var checked = values == val.value;
            return _react2.default.createElement(
                "label",
                { className: inline ? "radio-inline" : "", key: val.value, style: inline ? { marginRight: '1em' } : null },
                _react2.default.createElement("input", _extends({ type: "radio" }, props, { checked: checked, disabled: disabled,
                    onChange: function onChange(e) {
                        input.onChange(val.value);
                    },
                    onBlur: function onBlur(e) {
                        input.onBlur(values);
                    } })),
                val.label !== undefined ? val.label : val.value
            );
        }
    }, {
        key: "render",
        value: function render() {
            var _this2 = this;

            var _props2 = this.props,
                input = _props2.input,
                options = _props2.options,
                inline = _props2.inline,
                readOnly = _props2.readOnly,
                props = _objectWithoutProperties(_props2, ["input", "options", "inline", "readOnly"]);

            if (readOnly) {
                var _props3 = this.props,
                    _inline = _props3.inline,
                    roprops = _objectWithoutProperties(_props3, ["inline"]);

                return _react2.default.createElement(_FieldStatic2.default, roprops);
            }
            var values = input.value;
            return _react2.default.createElement(
                "div",
                { className: "radio" },
                options && options.map(function (val) {
                    if (!((typeof val === "undefined" ? "undefined" : _typeof(val)) === "object")) val = { value: val, label: val };
                    if (inline) {
                        return _this2.renderMultipleRadio(values, val);
                    } else {
                        return _react2.default.createElement(
                            "div",
                            { className: "radio", key: val.value },
                            _this2.renderMultipleRadio(values, val)
                        );
                    }
                })
            );
        }
    }]);

    return FieldRadioGroup;
}(_react.Component);

;

exports.default = FieldRadioGroup;