"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _InputBlock = require("./InputBlock");

var _InputBlock2 = _interopRequireDefault(_InputBlock);

var _FieldRadioGroup = require("./FieldRadioGroup");

var _FieldRadioGroup2 = _interopRequireDefault(_FieldRadioGroup);

var _renderStatic = require("./renderStatic");

var _renderStatic2 = _interopRequireDefault(_renderStatic);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; } /* 
                                                                                                                                                                                                                              * (c) Copyright Darwino Inc. 2014-2017.
                                                                                                                                                                                                                              */


var renderRadioGroup = function renderRadioGroup(field) {
    var horizontal = field.horizontal,
        inline = field.inline,
        label = field.label,
        meta = field.meta,
        props = _objectWithoutProperties(field, ["horizontal", "inline", "label", "meta"]);

    return _react2.default.createElement(
        _InputBlock2.default,
        { label: label, meta: meta, horizontal: horizontal, inline: inline },
        _react2.default.createElement(_FieldRadioGroup2.default, _extends({}, props, { inline: inline }))
    );
};
exports.default = renderRadioGroup;