/* 
 * (c) Copyright Darwino Inc. 2014-2017.
 */
import React from "react";
import InputBlock from "./InputBlock"
import FieldCheckbox from "./FieldCheckbox"
import renderStatic from "./renderStatic"

const renderCheckbox = field => {
    const { horizontal, inline, meta, ...props} = field;
    return (
        <InputBlock label={field.multiple?field.label:null} meta={meta} horizontal={horizontal} inline={inline}>
            <FieldCheckbox {...props} inline={inline}/>
        </InputBlock>
    )
}
export default renderCheckbox
