/* 
 * (c) Copyright Darwino Inc. 2014-2017.
 */
import React from "react";
import InputBlock from "./InputBlock"
import FieldTextArea from "./FieldTextArea"
import renderStatic from "./renderStatic"

const renderTextArea = field => {
    const { horizontal, inline, meta, label, ...props} = field;
    return (
        <InputBlock label={label} meta={meta} horizontal={horizontal} inline={inline}>
            <FieldTextArea {...props}/>
        </InputBlock>
    )
}
export default renderTextArea