"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _InputBlock = require("./InputBlock");

var _InputBlock2 = _interopRequireDefault(_InputBlock);

var _FieldDatePicker = require("./FieldDatePicker");

var _FieldDatePicker2 = _interopRequireDefault(_FieldDatePicker);

var _renderStatic = require("./renderStatic");

var _renderStatic2 = _interopRequireDefault(_renderStatic);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; } /* 
                                                                                                                                                                                                                              * (c) Copyright Darwino Inc. 2014-2017.
                                                                                                                                                                                                                              */


var renderDatePicker = function renderDatePicker(field) {
    var horizontal = field.horizontal,
        inline = field.inline,
        meta = field.meta,
        label = field.label,
        props = _objectWithoutProperties(field, ["horizontal", "inline", "meta", "label"]);

    return _react2.default.createElement(
        _InputBlock2.default,
        { label: label, meta: meta, horizontal: horizontal, inline: inline },
        _react2.default.createElement(_FieldDatePicker2.default, props)
    );
};
exports.default = renderDatePicker;