'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactBootstrap = require('react-bootstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /* 
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                * (c) Copyright Darwino Inc. 2014-2017.
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                */


var InputBlock = function (_Component) {
    _inherits(InputBlock, _Component);

    function InputBlock() {
        _classCallCheck(this, InputBlock);

        return _possibleConstructorReturn(this, (InputBlock.__proto__ || Object.getPrototypeOf(InputBlock)).apply(this, arguments));
    }

    _createClass(InputBlock, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                horizontal = _props.horizontal,
                inline = _props.inline,
                label = _props.label,
                meta = _props.meta;

            if (horizontal) {
                return _react2.default.createElement(
                    _reactBootstrap.FormGroup,
                    { className: meta.touched && meta.error ? 'has-error' : '' },
                    _react2.default.createElement(
                        _reactBootstrap.Col,
                        { componentClass: _reactBootstrap.ControlLabel, sm: 2 },
                        label
                    ),
                    _react2.default.createElement(
                        _reactBootstrap.Col,
                        { sm: 10 },
                        this.props.children
                    ),
                    meta.touched && meta.error && _react2.default.createElement(
                        'div',
                        { className: 'error' },
                        meta.error
                    )
                );
            } else {
                return _react2.default.createElement(
                    _reactBootstrap.FormGroup,
                    { className: meta.touched && meta.error ? 'has-error' : '' },
                    label && _react2.default.createElement(
                        _reactBootstrap.ControlLabel,
                        null,
                        label
                    ),
                    inline && ' ',
                    this.props.children,
                    meta.touched && meta.error && _react2.default.createElement(
                        'div',
                        { className: 'error' },
                        meta.error
                    )
                );
            }
        }
    }]);

    return InputBlock;
}(_react.Component);

;

exports.default = InputBlock;