/* 
 * (c) Copyright Darwino Inc. 2014-2017.
 */
import React, { Component } from "react";
import { Alert } from 'react-bootstrap';
import { BaseMessages } from '@darwino/darwino-react';

const _bsStyle = ["success","warning","danger","info"]

/*
 * Application/Page Messages.
 */
class Messages extends BaseMessages {

    renderMessage(m,index) {
        return (
            <Alert key={m.key||""} bsStyle={_bsStyle[m.type]} onDismiss={() => {this.remove(m.key)}}>
                {m.title && <h4>{m.title}</h4>}
                {m.message && <p style={{whiteSpace: 'pre'}}>{m.message}</p>}
                {m.children}
            </Alert>
        )
    }
}

export default Messages;