/* 
 * (c) Copyright Darwino Inc. 2014-2017.
 */
import React, { Component } from "react";
import { BaseNavGroup } from "@darwino/darwino-react"

/*
 * Nav group
 */

class NavGroup extends BaseNavGroup {

    render() {
        const {title,collapsible,children,defaultExpanded,...props} = this.props
       // const cc = 
        if(collapsible) {
            return (
                <li className="dropdown open">
                    <a className="dropdown-toggle" onClick={this.handleClick}>
                        <i className={"glyphicon "+(this.state.expanded ? "glyphicon-chevron-down" : "glyphicon-chevron-right")}></i>
                        &nbsp;
                        {title}
                    </a>
                    {this.state.expanded && (
                        <ul className="dropdown-menu">
                            {React.Children.map(this.props.children, function(child) {
                                return React.cloneElement(child, {...props})
                            })}
                        </ul>
                    )}
                </li>
            )
        } else {
            return (
                <li className="dropdown open">
                    <ul className="dropdown-menu">
                        {children}
                    </ul>
                </li>
            )               
        }
    }
}

export default NavGroup
